updateFavorites.v1
POST
/shopgate.user.updateFavorites.v1
Updates the quantity or the note of a product that is already on a favorite list.
Request Body
Section titled “Request Body”Media typeapplication/json
object
productId
required
productId
The ID of the product
string
Example
abc123favoritesListId
favoritesListId
The ID of the favorite list. Apps without support for multiple favorite lists use the implicit list DEFAULT.
string
Example
1quantity
favoritesQuantity
The quantity of the product on the list. Only sent when the quantity setting is enabled for the app.
integer
Example
2notes
favoritesNotes
A note the user stored with the product. Only sent when the notes setting is enabled for the app.
string
Example
For the blue oneResponses
Section titled “Responses”Returns an empty object.
Media typeapplication/json
object
Examplegenerated
{}EUNKNOWN
Section titled “EUNKNOWN”Returns one or multiple error messages.
Media typeapplication/json

